import os

# Configuració
CONFIG_FILE = "config.json"


# Determinar el directori base del projecte
BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

# Ruta a la carpeta 'assets'
BASE_ASSETS_DIR = os.path.join(BASE_DIR, "assets")
assets_dir = BASE_ASSETS_DIR



# Configuració MQTT
MQTT_BROKER = "192.168.1.89"  # IP del broker MQTT 
MQTT_PORT = 1883

# Topics per a cada habitació
HABITACIONS = {
    "Habitació 1": {
        "temp": "geriatric/habitacio1/temperatura",
        "hum": "geriatric/habitacio1/humitat",
        "alerta": "geriatric/habitacio1/alerta"
    },
    "Habitació 2": {
        "temp": "geriatric/habitacio2/temperatura",
        "hum": "geriatric/habitacio2/humitat",
        "alerta": "geriatric/habitacio2/alerta"
    },
    "Habitació 3": {
        "temp": "geriatric/habitacio3/temperatura",
        "hum": "geriatric/habitacio3/humitat",
        "alerta": "geriatric/habitacio3/alerta"
    },
    "Habitació 4": {
        "temp": "geriatric/habitacio4/temperatura",
        "hum": "geriatric/habitacio4/humitat",
        "alerta": "geriatric/habitacio4/alerta"
    },
    "Habitació 5": {
        "temp": "geriatric/habitacio5/temperatura",
        "hum": "geriatric/habitacio5/humitat",
        "alerta": "geriatric/habitacio5/alerta"
    },
    "Habitació 6": {
        "temp": "geriatric/habitacio6/temperatura",
        "hum": "geriatric/habitacio6/humitat",
        "alerta": "geriatric/habitacio6/alerta"
    },
    "Habitació 7": {
        "temp": "geriatric/habitacio7/temperatura",
        "hum": "geriatric/habitacio7/humitat",
        "alerta": "geriatric/habitacio7/alerta"
    },
    "Habitació 8": {
        "temp": "geriatric/habitacio8/temperatura",
        "hum": "geriatric/habitacio8/humitat",
        "alerta": "geriatric/habitacio8/alerta"
    },
    "Habitació 9": {
        "temp": "geriatric/habitacio9/temperatura",
        "hum": "geriatric/habitacio9/humitat",
        "alerta": "geriatric/habitacio9/alerta"
    },
    "Habitació 10": {
        "temp": "geriatric/habitacio10/temperatura",
        "hum": "geriatric/habitacio10/humitat",
        "alerta": "geriatric/habitacio10/alerta"
    }
}
